
void uart_init(unsigned char x)
{
// USART initialization
// Communication Parameters: 8 Data, 1 Stop, No Parity
// USART Receiver: On
// USART Transmitter: On
// USART Mode: Asynchronous
// USART Baud Rate: 9600

UCSRA=0x00;

if (x==1) UCSRB=0x98;
if (x==0) UCSRB=0x18;

//UCSRB=0x18; //bez preuseni
//UCSRB=0x98; // s prerusenim na prijem znaku (nutny vektor preruseni, globalne preruseni povolit a knihovna preruseni)


UCSRC=0x86;
UBRRH=0x00;
UBRRL=0x2F;
   

}


//*******************************************************************************************
//UART ATmega 32
//*******************************************************************************************
// Funkce pro UART:
void init_uart (unsigned int baud);         //inicializace UART
unsigned char u_getc( void );               //prijmi znak z UART
void u_putc( char data );                   //napi znak do UART
void u_puts( char *text );                  //napi string do UART



// UART poli znak:
void u_putc( char data )
{

while ( !( UCSRA & (1<<UDRE)) )     // Wait for empty transmit buffer
;
UDR = data;                         // Put data into buffer, sends the data
}


// UART poli string:
void u_puts( char *text )
{
unsigned char i=0,temp;

	do
	{
	temp = text[i];
	if(temp==0) break;
	u_putc(temp);
	i++;
	}
	while(temp>0);
}

// UART prijmi znak:
unsigned char u_getc( void )
{

while ( !(UCSRA & (1<<RXC)) )       // Wait for data to be received
;
return UDR;                         // Get and return received data from buffer
}

//**************************************************************************************
//**************************************************************************************





